diff --git a/binr/radare2/radare2.c b/binr/radare2/radare2.c
index 6ddb138cbc7..bf9b2affd73 100644
--- a/binr/radare2/radare2.c
+++ b/binr/radare2/radare2.c
@@ -174,7 +174,7 @@ static int rabin_delegate(RThread *th) {
 		ptr = cmd;
 		if (ptr)
 			do {
-				if (th) r_th_lock_enter(th->user);
+				if (th) r_th_lock_enter (th->user);
 				nptr = strchr (ptr, '\n');
 				if (nptr) *nptr = 0;
 				r_core_cmd (&r, ptr, 0);
@@ -496,6 +496,7 @@ int main(int argc, char **argv, char **envp) {
 						if (obj && obj->info)
 							eprintf ("bits %d\n", obj->info->bits);
 					}
+					r_core_cmd0 (&r, ".dm*");
 				}
 			}
 		}
diff --git a/libr/core/file.c b/libr/core/file.c
index f8c90bc02e8..c549a07d382 100644
--- a/libr/core/file.c
+++ b/libr/core/file.c
@@ -140,6 +140,7 @@ R_API int r_core_file_reopen(RCore *core, const char *args, int perm, int loadbi
 	}
 	r_core_seek (core, origoff, 1);
 	if (isdebug) {
+		r_core_cmd0 (core, ".dm*");
 		r_core_cmd0 (core, ".dr*");
 		r_core_cmd0 (core, "sr pc");
 	}
diff --git a/libr/debug/map.c b/libr/debug/map.c
index 493b3fd5f7f..88cad5df1f9 100644
--- a/libr/debug/map.c
+++ b/libr/debug/map.c
@@ -32,14 +32,20 @@ R_API void r_debug_map_list(RDebug *dbg, ut64 addr, int rad) {
 		break;
 	case '*':
 		r_list_foreach (dbg->maps, iter, map) {
-			dbg->printf ("f map.%s.%s 0x%08"PFMT64x" 0x%08"PFMT64x"\n",
-				map->name, r_str_rwx_i (map->perm),
-				map->addr_end - map->addr, map->addr);
+			char *name = r_str_newf ("%s.%s", map->name,
+				r_str_rwx_i (map->perm));
+			r_name_filter (name, 0);
+			dbg->printf ("f map.%s 0x%08"PFMT64x" 0x%08"PFMT64x"\n",
+				name, map->addr_end - map->addr, map->addr);
+			free (name);
 		}
 		r_list_foreach (dbg->maps_user, iter, map) {
-			dbg->printf ("f map.%s.%s 0x%08"PFMT64x" 0x%08"PFMT64x"\n",
-				map->name, r_str_rwx_i (map->perm),
-				map->addr_end - map->addr, map->addr);
+			char *name = r_str_newf ("%s.%s", map->name,
+				r_str_rwx_i (map->perm));
+			r_name_filter (name, 0);
+			dbg->printf ("f map.%s 0x%08"PFMT64x" 0x%08"PFMT64x"\n",
+				name, map->addr_end - map->addr, map->addr);
+			free (name);
 		}
 		break;
 	default:
diff --git a/libr/util/name.c b/libr/util/name.c
index 307b9b6608c..23352c389f5 100644
--- a/libr/util/name.c
+++ b/libr/util/name.c
@@ -1,4 +1,4 @@
-/* radare - LGPL - Copyright 2009-2012 - pancake */
+/* radare - LGPL - Copyright 2009-2015 - pancake */
 
 #include <r_util.h>
 
